| Flutter Linux Embedder |

Functions
fl_texture_registrar_private.h File Reference
`#include "flutter/shell/platform/embedder/embedder.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_engine.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_texture_registrar.h"`

Go to the source code of this file.

## Functions
G_BEGIN_DECLS FlTextureRegistrar * | fl_texture_registrar_new (FlEngine *engine)
FlTexture * | fl_texture_registrar_lookup_texture (FlTextureRegistrar *registrar, int64_t texture_id)
void | fl_texture_registrar_shutdown (FlTextureRegistrar *registrar)

## Function Documentation

## ◆ fl_texture_registrar_lookup_texture()

FlTexture* fl_texture_registrar_lookup_texture | ( | FlTextureRegistrar * | registrar,
|  | int64_t | texture_id
| ) |  |

fl_texture_registrar_lookup_texture: @registrar: an #FlTextureRegistrar. @texture_id: ID of texture.

Looks for the texture with the given ID.

Returns: an #FlTexture or NULL if no texture with this ID.

Definition at line 190 of file fl_texture_registrar.cc.

191 {
192 g_return_val_if_fail(FL_IS_TEXTURE_REGISTRAR(self), NULL);
193
194 return FL_TEXTURE_REGISTRAR_GET_IFACE(self)->lookup_texture(self, texture_id);
195 }
texture_id
int64_t texture_id
Definition: texture_registrar_unittests.cc:24

References texture_id.

Referenced by fl_engine_gl_external_texture_frame_callback(), and TEST().

## ◆ fl_texture_registrar_new()

G_BEGIN_DECLS FlTextureRegistrar* fl_texture_registrar_new | ( | FlEngine * | engine | ) |

fl_texture_registrar_new: @engine: an #FlEngine.

Creates a new #FlTextureRegistrar.

Returns: a new #FlTextureRegistrar.

Definition at line 221 of file fl_texture_registrar.cc.

221 {
222 FlTextureRegistrarImpl* self = FL_TEXTURE_REGISTRAR_IMPL(
223 g_object_new(fl_texture_registrar_impl_get_type(), nullptr));
224
225 // Added to stop compiler complaining about an unused function.
226 FL_IS_TEXTURE_REGISTRAR_IMPL(self);
227
228 g_weak_ref_init(&self->engine, G_OBJECT(engine));
229
230 return FL_TEXTURE_REGISTRAR(self);
231 }
self
g_cond_signal & self
Definition: fl_compositor_software.cc:67

References self.

Referenced by fl_engine_init(), and TEST().

## ◆ fl_texture_registrar_shutdown()

void fl_texture_registrar_shutdown | ( | FlTextureRegistrar * | registrar | ) |

fl_texture_registrar_shutdown: @registrar: an #FlTextureRegistrar.

Shutdown the registrary and unregister any textures.

Definition at line 215 of file fl_texture_registrar.cc.

215 {
216 g_return_if_fail(FL_IS_TEXTURE_REGISTRAR(self));
217
218 return FL_TEXTURE_REGISTRAR_GET_IFACE(self)->shutdown(self);
219 }

Referenced by fl_engine_dispose().